Bug 607075 (perl-Test-utf8) - Review Request: perl-Test-utf8 - Handy utf8 tests
Summary: Review Request: perl-Test-utf8 - Handy utf8 tests
Status: CLOSED ERRATA
Alias: perl-Test-utf8
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Test-utf8/
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-23 07:08 UTC by Iain Arnell
Modified: 2010-07-08 18:28 UTC (History)
3 users (show)

Fixed In Version: perl-Test-utf8-0.02-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 18:19:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-06-23 07:08:12 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Test-utf8.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Test-utf8-0.02-1.fc14.src.rpm

Description:
This module is a collection of tests that's useful when dealing with utf8
strings in Perl.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2266844

*rt-0.10_01

Comment 1 Parag AN(पराग) 2010-06-23 10:14:33 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2266844
+ rpmlint output for SRPM and for RPM.
perl-Test-utf8.noarch: W: spelling-error Summary(en_US) utf -> fut, Ute, Utah
perl-Test-utf8.noarch: W: spelling-error %description -l en_US utf -> fut, Ute, Utah
perl-Test-utf8.src: W: spelling-error Summary(en_US) utf -> fut, Ute, Utah
perl-Test-utf8.src: W: spelling-error %description -l en_US utf -> fut, Ute, Utah
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
+ source files match upstream url (sha1sum)
60858677fd42148e21682724178a5b6a24a48991  Test-utf8-0.02.tar.gz
60858677fd42148e21682724178a5b6a24a48991  Test-utf8-0.02.tar.gz.srpm
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=6, Tests=39,  0 wallclock secs ( 0.03 usr  0.01 sys +  0.22 cusr  0.06 csys =  0.32 CPU)
+ Package perl-Test-utf8-0.02-1.fc14.noarch =>
Provides: perl(Test::utf8) = 0.02
Requires: perl >= 0:5.007003 perl(charnames) perl(Encode) perl(Exporter) perl(strict) perl(Test::Builder) perl(vars) perl(warnings) rpmlib(VersionedDependencies) <= 3.0.3-1
+ Not a GUI application

Suggestions:
1) looks yum already take care 
Requires:       perl(Test::Builder) >= 0.15
so you can drop it.

2) I think Changelog should include packager email id also.


APPROVED.

Comment 2 Iain Arnell 2010-06-23 15:51:58 UTC
New Package CVS Request
=======================
Package Name: perl-Test-utf8
Short Description: Handy utf8 tests
Owners: iarnell
Branches: F-12 F-13
InitialCC: perl-sig

Comment 3 Jason Tibbitts 2010-06-26 08:04:47 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Iain Arnell 2010-06-26 10:57:51 UTC
spec fixed and imported in rawhide

Comment 5 Fedora Update System 2010-06-26 11:00:00 UTC
perl-Test-utf8-0.02-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Test-utf8-0.02-2.fc13

Comment 6 Fedora Update System 2010-06-26 11:00:06 UTC
perl-Test-utf8-0.02-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Test-utf8-0.02-2.fc12

Comment 7 Fedora Update System 2010-06-28 17:14:37 UTC
perl-Test-utf8-0.02-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Test-utf8'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Test-utf8-0.02-2.fc12

Comment 8 Fedora Update System 2010-06-28 17:21:58 UTC
perl-Test-utf8-0.02-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Test-utf8'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Test-utf8-0.02-2.fc13

Comment 9 Fedora Update System 2010-07-08 18:19:27 UTC
perl-Test-utf8-0.02-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-07-08 18:28:20 UTC
perl-Test-utf8-0.02-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.